Sign in to follow this  
Evan

GTN 750 Duke V2

Recommended Posts

I've tried to access the GTN forums at simforums.com, but I can't even recover a password there. 

 

My issue I'm having is I have the latest hotfix taking p3d to .45 version, but the GTN 750 won't turn on. I purchased and used the new installer (which is supposedly compatible with the latest hotfix), but I keep getting an error stating "it's either installed also for fsx (not true) or you are using too new of a version of p3d. Anyone else having this problem?

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

You'll have to wait for the GTN 750 version 1.08 installer which should be released any day now.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this